<?php
include_once("c_esmo_magnit_instruction_card.php");
class c_page_cab_esmo_magnit_instruction_card_lessions extends c_page_cab_esmo_magnit_instruction_card
{
  public $h1='Занятия' ;

  function second_menu_config()
  { $this->second_menu[$this->rec_event['__href'].'lessions/']=array('title'=>'Занятия') ;
    $this->second_menu[$this->rec_event['__href'].'new_lession/']=array('title'=>'Новое занятие','id'=>'show_window_monitor') ;
  }

  function block_main()
  { $this->page_title() ;

    include_once(_DIR_EXT.'/esmo_magnit_instruction/report_lessions.php') ;
    $report_obj=new report_lessions() ;
    $report_obj->event_id=$this->rec_event['pkey'];
    $report_obj->setting() ;
    $report_obj->filter['order']='pkey desc';
    $report_obj->view_as_HTML() ;
  }


}



?>